--月老
--脚本号
x103010_g_scriptId=103010

--事件交互入口
function x103010_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"離婚")
	AddNumText(scene,x103010_g_scriptId,"协议離婚",-2,10000)
	AddNumText(scene,x103010_g_scriptId,"强制離婚",-2,10001)
	AddNumText(scene,x103010_g_scriptId,"離婚说明",-1,10002)

	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end

--事件列表选中一项

function x103010_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body

	if index == 10000 then
		RequestDivorce(scene,selfId,1)
   	elseif index == 10001 then
		RequestDivorce(scene,selfId,2)
   	elseif index == 10002 then
   		BeginEvent(scene)
   		AddText(scene,"在这里添加離婚说明")
		AddNumText(scene,x103010_g_scriptId,"协议離婚",-2,10000)
		AddNumText(scene,x103010_g_scriptId,"强制離婚",-2,10001)
		AddNumText(scene,x103010_g_scriptId,"婚禮說明",-1,10002)
		EndEvent(scene)
		DispatchEventList(scene,selfId,targetId,true)
	end
end